{
  "keyboard": {
    "action": {
      "Left": [ "A", "LEFT" ],
      "Right": [ "D", "RIGHT" ],
      "Up": [ "W", "UP" ],
      "Down": [ "D", "DOWN" ],
      "Cross": [ "Z", "KP_2" ],
      "Triangle": [ "X", "SPACE", "KP_8" ],
      "Square": [ "LSHIFT", "RSHIFT", "KP_4" ],
      "Circle": [ "C", "KP_6" ],
      "Start": [ "RETURN" ],
      "Select": [ "P" ],
      "L1": [ "Q", "KP_1" ],
      "L2": [ "Y", "KP_7" ],
      "R1": [ "E", "KP_3" ],
      "R2": [ "T", "KP_9" ]
    },
    "axisButton": [
      {
        "key": "LEFT",
        "tag": "LeftStickX",
        "scale": -1.0
      },
      {
        "key": "RIGHT",
        "tag": "LeftStickX",
        "scale": 1.0
      },
      {
        "key": "UP",
        "tag": "LeftStickY",
        "scale": -1.0
      },
      {
        "key": "DOWN",
        "tag": "LeftStickY",
        "scale": 1.0
      },
      {
        "key": "A",
        "tag": "LeftStickX",
        "scale": -1.0
      },
      {
        "key": "D",
        "tag": "LeftStickX",
        "scale": 1.0
      },
      {
        "key": "W",
        "tag": "LeftStickY",
        "scale": -1.0
      },
      {
        "key": "S",
        "tag": "LeftStickY",
        "scale": 1.0
      }
    ]
  },
  "gamepad": {
    "action": {
      "Left": [ "DPAD_LEFT" ],
      "Right": [ "DPAD_RIGHT" ],
      "Up": [ "DPAD_UP" ],
      "Down": [ "DPAD_DOWN" ],
      "Cross": [ "SOUTH" ],
      "Triangle": [ "NORTH" ],
      "Square": [ "WEST" ],
      "Circle": [ "EAST" ],
      "Start": [ "START" ],
      "Select": [ "BACK" ],
      "L1": [ "LEFT_SHOULDER" ],
      "L2": [ "LEFT_TRIGGER+" ],
      "R1": [ "RIGHT_SHOULDER" ],
      "R2": [ "RIGHT_TRIGGER+" ]
    },
    "axis": [
      {
        "axis": "LEFTX",
        "tag": "LeftStickX"
      },
      {
        "axis": "LEFTY",
        "tag": "LeftStickY"
      },
      {
        "axis": "RIGHTX",
        "tag": "RightStickX"
      },
      {
        "axis": "RIGHTY",
        "tag": "RightStickY"
      }
    ]
  }
}
